summaryrefslogtreecommitdiff
path: root/dev-python/sphinx-basic-ng
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-30 00:49:15 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-30 00:49:15 +0000
commitd12e391e68534b2dc2084a10e769dd29614f0ac3 (patch)
tree5b39fee148cb12f98bdab93a00aea9e217962dad /dev-python/sphinx-basic-ng
parent3dd6513393f480d25902d5467434085f4761d618 (diff)
downloadbaldeagleos-repo-d12e391e68534b2dc2084a10e769dd29614f0ac3.tar.gz
baldeagleos-repo-d12e391e68534b2dc2084a10e769dd29614f0ac3.tar.xz
baldeagleos-repo-d12e391e68534b2dc2084a10e769dd29614f0ac3.zip
Adding metadata
Diffstat (limited to 'dev-python/sphinx-basic-ng')
-rw-r--r--dev-python/sphinx-basic-ng/Manifest1
-rw-r--r--dev-python/sphinx-basic-ng/metadata.xml9
-rw-r--r--dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild44
3 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/sphinx-basic-ng/Manifest b/dev-python/sphinx-basic-ng/Manifest
new file mode 100644
index 000000000000..8d370c8ca62b
--- /dev/null
+++ b/dev-python/sphinx-basic-ng/Manifest
@@ -0,0 +1 @@
+DIST sphinx-basic-ng-0.0.1.a11.gh.tar.gz 21539 BLAKE2B 31707bc8f3c6cd0c1af1aeff309543889119d33e5f5ae33194b58f88a0ff6ec424c5b876fef36b64161932ebb69c0f6108801697b49d47e10ad13affcf89e1fa SHA512 e9f9278a360d2c8d25a6679134d2d54b37c9f2e55285592fa910c85b2f8bfd4ab13d117b7078cb67d862703f8054c3d3a3ca68152551d67a26d7c1a8b75952ff
diff --git a/dev-python/sphinx-basic-ng/metadata.xml b/dev-python/sphinx-basic-ng/metadata.xml
new file mode 100644
index 000000000000..7ad11570cc7d
--- /dev/null
+++ b/dev-python/sphinx-basic-ng/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild b/dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild
new file mode 100644
index 000000000000..026fe54d365b
--- /dev/null
+++ b/dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_alpha/.a}
+DESCRIPTION="A modern skeleton for Sphinx themes"
+HOMEPAGE="
+ https://github.com/pradyunsg/sphinx-basic-ng/
+ https://pypi.org/project/sphinx-basic-ng/
+"
+SRC_URI="
+ https://github.com/pradyunsg/sphinx-basic-ng/archive/${PV/_alpha/.a}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/sphinx-6[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/myst_parser[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ local HTML_DOCS=()
+ build_sphinx tests/barebones
+ rm -r tests/barebones/_build || die
+}